#ifndef NCSU_MACROS_H
#define NCSU_MACROS_H

#ifdef __GNUC__
#  define NCSU_GNUC_NORETURN    __attribute__ ((__noreturn__))
#  define NCSU_GNUC_UNUSED      __attribute__ ((__unused__))
#  define NCSU_GNUC_CONST       __attribute__ ((__const__))
#  define NCSU_GNUC_PRINTF(a,b) __attribute__ ((format(printf,a,b)))
#  define NCSU_RESTRICT         __restrict__
#else
#  define NCSU_GNUC_NORETURN
#  define NCSU_GNUC_UNUSED
#  define NCSU_GNUC_CONST
#  define NCSU_GNUC_PRINTF(a,b)
#  define NCSU_RESTRICT
#endif // __GNUC__

#endif // NCSU_MACROS_H
